<?php

namespace App\Modules\DefinedService\TypeDefinedService\Application\Update;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateTypeDefinedServiceQuery implements Query
{
    public function __construct(
        private int $id,
        private string $name,
        private string $code,
        private int $version,
        private int $status,
        private int $idAdmin
    ) {}

    public function id(): int
    {
        return $this->id;
    }

    public function name(): string
    {
        return $this->name;
    }

    public function code(): string
    {
        return $this->code;
    }

    public function version(): int
    {
        return $this->version;
    }

    public function status(): int
    {
        return $this->status;
    }

    public function idAdmin(): int
    {
        return $this->idAdmin;
    }
}
